Foreman - Bug #37344

Webpack assets not compressed after Webpack 5 migration
04/11/2024 09:02 AM - Evgeni Golov

Status: Closed
Priority: Normal
Assignee: Evgeni Golov
Category: JavaScript stack
Target version:
Difficulty: Fixed in Releases: 3.11.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/10124
Description

The Webpack 5 migration disabled the compression plugin, thus dropping the compressed assets from the built result.

Related issues:

Related to Foreman - Refactor #37102: Update to webpack 5

Closed

Associated revisions

Revision 6cafc684 - 04/11/2024 10:48 AM - Evgeni Golov

Fixes #37344 - enable compression for webpack assets

History

#1 - 04/11/2024 09:02 AM - Evgeni Golov
- Related to Refactor #37102: Update to webpack 5 added

#2 - 04/11/2024 09:04 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/10124 added

#3 - 04/11/2024 10:48 AM - The Foreman Bot
- Fixed in Releases 3.11.0 added

#4 - 04/11/2024 11:00 AM - Evgeni Golov
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|6cafc684d71c3e4c84f4d87bb153a9a643073fed.

05/10/2024

1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/6cafc684d71c3e4c84f4d87bb153a9a643073fed
http://www.tcpdf.org

